/*
 * Copyright 2005-2007 Portal Application Laboratory and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package jp.sf.pal.admin.web.registration;

import java.io.Serializable;

import org.seasar.framework.log.Logger;

import jp.sf.pal.common.CommonException;
import jp.sf.pal.common.util.FacesMessageUtil;

public class PublicPortalForgottenPasswordCompletedPage extends
        AbstractResetPasswordPage implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -5203115307227054989L;

    /**
     * Logger for this class
     */
    private static final Logger logger = Logger
            .getLogger(ResetPasswordPage.class);

    public Class<?> initialize() {
        return null;
    }

    public Class<?> prerender() {
        if (getGuid() != null) {
            try {
                getUserRegistrationService().updatePassword(this);
                FacesMessageUtil
                        .addInfoMessage("forgotten.successful_pw_update");
            } catch (CommonException e) {
                FacesMessageUtil.addErrorMessage(e.getMessageId());
                logger.log("EPA0003", new Object[] { this.toString() }, e);
            }
        }

        // render FacesMessage
        FacesMessageUtil.renderMessages();
        return null;
    }

}
